VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
UIViewFactory Class Reference
Version 4.0

Default view factory. More...

Inheritance diagram for UIViewFactory:

## Public Member Functions
| UIViewFactory ()
| ~UIViewFactory () noexceptoverride=default
CView * | createView (const UIAttributes &attributes, const IUIDescription *description) const override
bool | applyAttributeValues (CView *view, const UIAttributes &attributes, const IUIDescription *desc) const override
bool | applyCustomViewAttributeValues (CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const override
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount
Public Member Functions inherited from IViewFactory
virtual | ~IViewFactory () noexcept=default

## Static Public Member Functions
static IdStringPtr | getViewName (CView *view)
static void | registerViewCreator (const IViewCreator &viewCreator)
static void | unregisterViewCreator (const IViewCreator &viewCreator)

## Protected Member Functions
void | evaluateAttributesAndRemember (CView *view, const UIAttributes &attributes, UIAttributes &evaluatedAttributes, const IUIDescription *description) const
CView * | createViewByName (const std::string *className, const UIAttributes &attributes, const IUIDescription *description) const

## Detailed Description

Default view factory.

## Constructor & Destructor Documentation

UIViewFactory | ( |  | ) |

~UIViewFactory | ( |  | ) |
| override default noexcept

## Member Function Documentation

bool applyAttributeValues | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc
| ) |  | const
| override virtual

Implements IViewFactory.

bool applyCustomViewAttributeValues | ( | CView * | customView,
|  | IdStringPtr | baseViewName,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc
| ) |  | const
| override virtual

Implements IViewFactory.

CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| override virtual

Implements IViewFactory.

CView * createViewByName | ( | const std::string * | className,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  | const
| protected

void evaluateAttributesAndRemember | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | UIAttributes & | evaluatedAttributes,
|  | const IUIDescription * | description
| ) |  | const
| protected

IdStringPtr getViewName | ( | CView * | view | ) |
| static

void registerViewCreator | ( | const IViewCreator & | viewCreator | ) |
| static

void unregisterViewCreator | ( | const IViewCreator & | viewCreator | ) |
| static

The documentation for this class was generated from the following files:

- uiviewfactory.h
- uiviewfactory.cpp